Package nl.tue.id.oocsi.client.protocol

# Class OOCSIDataImpl

java.lang.Object
nl.tue.id.oocsi.client.protocol.OOCSIDataImpl

All Implemented Interfaces:
  `OOCSIData`

    public class OOCSIDataImpl
    extends java.lang.Object
    implements OOCSIData

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OOCSIDataImpl()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `OOCSIData` | `data​(java.lang.String key, double value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, float value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, int value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, long value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, java.lang.Object value)` | store data in message
  `OOCSIData` | `data​(java.lang.String key, java.lang.String value)` | store data in message
  `OOCSIData` | `data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)` | store bulk data in message
  `java.util.Map<java.lang.String,​java.lang.Object>` | `internal()` | get internal map

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OOCSIDataImpl

    public OOCSIDataImpl()

- ## Method Details

  - ### data

    public OOCSIData data​(java.lang.String key, java.lang.String value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.lang.String key, int value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.lang.String key, float value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.lang.String key, double value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.lang.String key, long value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.lang.String key, java.lang.Object value)
    store data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `key` -
      `value` -
    Returns:

  - ### data

    public OOCSIData data​(java.util.Map<java.lang.String,​? extends java.lang.Object> bulkData)
    store bulk data in message
    Specified by:
      `data` in interface `OOCSIData`
    Parameters:
      `bulkData` -
    Returns:

  - ### internal

    public java.util.Map<java.lang.String,​java.lang.Object> internal()
    get internal map
    Specified by:
      `internal` in interface `OOCSIData`
    Returns: